gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Misc Produces an Arrow pointing in one of four cardinal directions.

Arrow should be used to draw simple arrows that need to point in one of the four cardinal directions ( , , , or ). The style of the arrow can be one of the following: , , , and . Note that these directions and style types may be ammended in versions of Gtk to come.

Arrow will fill any space alloted to it, but since it is inherited from , it can be padded and/or aligned, fill exactly the space the programmer desires.

The direction or style of an arrow can be changed after creation by using .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A valid ArrowType.
  A valid ShadowType.
  Constructor
- Property
  2.12.0.0
  GLib.Property("arrow-type")
  Gtk.ArrowType Used to change the direction of an Arrow. A new Arrow.

  Changes the direction of an Arrow.

  The cardinal directions are: , , and .

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("shadow-type")
  Gtk.ShadowType Used to change the appearance of an outline typically provided by a Frame. Returns a new ShadowType.

  Changes the appearance of an outline typically provided by a .

  The shadow types are: , , , and .